import { PassengerType } from '../enums';

export interface TariffRules {
	name: string;
	code: string;
	passengerTypes: PassengerType[];
	segmentNumber: number;
	tariffCode: string;
	text: string;
}

export interface FareRulesByPassenger {
	[passenger: string]: TariffRules[];
}

export interface FareRules {
	id: string;
	canBeTranslated: boolean;
	tariffRules: TariffRules[][];
	fareRulesByPassenger: FareRulesByPassenger[];
	passengersList: PassengerType[];
	isTranslated: boolean;
	manualRulesArray: string[];
}
