import { Action, createActions } from 'redux-actions';
import { createSearchPayload } from '../utils';
import SearchRequests from '../schemas/SearchRequests';

export const START_SEARCH = 'START_SEARCH';
export const SEARCH_FARE_FAMILIES = 'SEARCH_FARE_FAMILIES';
export const SEARCH_FARE_FAMILIES_RT = 'SEARCH_FARE_FAMILIES_RT';
export const START_ACTUALIZATION = 'START_ACTUALIZATION';
export const GO_TO_BOOKING = 'GO_TO_BOOKING';

export type SearchAction = Action<SearchRequests>;
export type ActualizationAction = Action<{ flightIds: string[] }>;
export type SearchFareFamiliesAction = Action<{ legId: number; flightId: string }>;
export type SearchFareFamiliesRTAction = Action<{ flightId: string }>;
export type GoToBookingAction = Action<{ flightIds: string[] }>;

export const { startSearch, searchFareFamilies, searchFareFamiliesRt: searchFareFamiliesRT, startActualization, goToBooking } = createActions({
	[START_SEARCH]: createSearchPayload,
	[SEARCH_FARE_FAMILIES]: (legId: number, flightId: string) => ({ flightId, legId }),
	[SEARCH_FARE_FAMILIES_RT]: (flightId: string) => ({ flightId }),
	[START_ACTUALIZATION]: (flightIds: string[]) => ({ flightIds }),
	[GO_TO_BOOKING]: (flightIds: string[]) => ({ flightIds })
});
