import FareFamiliesCombinations from '../../../schemas/FareFamiliesCombinations';
import { Action } from 'redux';
import { createActions } from 'redux-actions';

export const SET_COMBINATIONS = 'SET_COMBINATIONS';
export const CLEAR_COMBINATIONS = 'CLEAR_COMBINATIONS';

export interface FareFamiliesCombinationsAction extends Action {
	payload: {
		legId: number;
		combinations: FareFamiliesCombinations;
	};
}

export const { clearCombinations, setCombinations } = createActions({
	[CLEAR_COMBINATIONS]: null,
	[SET_COMBINATIONS]: (legId: number, combinations: FareFamiliesCombinations) => ({ legId, combinations })
});
