import {
	CLEAR_COMBINATIONS,
	FareFamiliesCombinationsAction,
	SET_COMBINATIONS
} from './actions';
import FareFamiliesCombinations from '../../../schemas/FareFamiliesCombinations';
import { handleActions } from 'redux-actions';

export interface FareFamiliesCombinationsState {
	[legId: number]: FareFamiliesCombinations;
}

export const fareFamiliesCombinationsReducer = handleActions<FareFamiliesCombinationsState>({
	[SET_COMBINATIONS]: (state: FareFamiliesCombinationsState, { payload }: FareFamiliesCombinationsAction) => {
		const combinations = payload.combinations;
		const result = { ...state };

		if (combinations) {
			result[payload.legId] = combinations;
		}

		return result;
	},
	[CLEAR_COMBINATIONS]: () => ({})
}, {});
