import { CLEAR_SELECTED_FAMILIES, SELECT_FAMILY, SelectedFamiliesAction } from './actions';
import { SelectedFamiliesSegmentCombination } from '../../../schemas/SelectedFamiliesSegmentCombination';
import { handleActions } from 'redux-actions';

export interface SelectedFamiliesState {
	[legId: number]: SelectedFamiliesSegmentCombination;
}

const selectedFamiliesSegmentCombinationReducer = (state: SelectedFamiliesSegmentCombination, action: SelectedFamiliesAction): SelectedFamiliesSegmentCombination => {
	return {
		...state,
		[action.payload.segmentId]: action.payload.familyId
	};
};

export const selectedFamiliesReducer = handleActions<SelectedFamiliesState>({
	[SELECT_FAMILY]: (state: SelectedFamiliesState, action: SelectedFamiliesAction) => {
		return {
			...state,
			[action.payload.legId]: selectedFamiliesSegmentCombinationReducer(state[action.payload.legId], action)
		};
	},
	[CLEAR_SELECTED_FAMILIES]: () => ({})
}, {});
