import { Action } from 'redux';
import { FareRules } from '../../models/FareRules';
import { createActions } from 'redux-actions';

export const LOAD_FARE_RULES = 'LOAD_FARE_RULES';
export const SET_FARE_RULES = 'SET_FARE_RULES';

export interface FareRulesAcionPayload {
	flightId: string;
	fareRules?: FareRules;
	needToTranslate?: boolean;
}

export interface FareRulesAction extends Action {
	payload: FareRulesAcionPayload;
}

export const { loadFareRules, setFareRules } = createActions({
	[LOAD_FARE_RULES]: (flightId: string, needToTranslate: boolean = false) => ({ flightId, needToTranslate }),
	[SET_FARE_RULES]: (flightId: string, fareRules: FareRules) => ({ flightId, fareRules })
});
