import { FareRulesAcionPayload, FareRulesAction, LOAD_FARE_RULES, SET_FARE_RULES } from './actions';
import { FareRules } from '../../models/FareRules';
import { handleActions } from 'redux-actions';

export interface FareRulesState {
	[flightId: string]: FareRules;
}

export const fareRulesReducer = handleActions<FareRulesState, FareRulesAcionPayload>({
	[LOAD_FARE_RULES]: (state: FareRulesState, { payload }: FareRulesAction) => ({ ...state, [payload.flightId]: null }),
	[SET_FARE_RULES]: (state: FareRulesState, { payload }: FareRulesAction) => ({ ...state, [payload.flightId]: payload.fareRules })
}, {});
