import { FareRulesAction, LOAD_FARE_RULES, setFareRules } from '../actions';
import { call, put, select, takeEvery } from 'redux-saga/effects';
import fareRules from '../../../services/requests/fareRules';
import { getLocale, getNemoURL } from '../../config/selectors';

function* worker({ payload: fareRulesPayload }: FareRulesAction ) {
	const nemoURL = yield select(getNemoURL),
		language = yield select(getLocale);

	const loadInfo = yield call(fareRules, fareRulesPayload.flightId, nemoURL, fareRulesPayload.needToTranslate ? language : '');

	if (fareRulesPayload.needToTranslate) {
		loadInfo.isTranslated = true;
	}

	yield put(setFareRules(fareRulesPayload.flightId, loadInfo));
}

export default function* loadRules() {
	yield takeEvery(LOAD_FARE_RULES, worker);
}
