import { Action } from 'redux';
import { LocationType } from '../../../enums';
import { createActions } from 'redux-actions';

export const ADD_AIRPORT = 'ADD_AIRPORT';
export const REMOVE_AIRPORT = 'REMOVE_AIRPORT';
export const REMOVE_ALL_AIRPORTS = 'REMOVE_ALL_AIRPORTS';

export interface FilterAirportsAction extends Action {
	payload: {
		locationType: LocationType;
		IATA: string;
	};
}

export const { addAirport, removeAirport, removeAllAirports } = createActions({
	[ADD_AIRPORT]: (IATA: string, locationType: LocationType) => ({ IATA, locationType }),
	[REMOVE_AIRPORT]: (IATA: string, locationType: LocationType) => ({ IATA, locationType }),
	[REMOVE_ALL_AIRPORTS]: null
});
