import { FlightSearchAction, SET_FLIGHT_SEARCH, TOGGLE_FLIGHT_SEARCH, REMOVE_FLIGHT_SEARCH } from './actions';
import { handleActions } from 'redux-actions';

export interface FlightSearchState {
	search: string;
	isActive: boolean;
}

const initialFlightSearch: FlightSearchState = {
	search: '',
	isActive: false
};

export const flightSearchReducer = handleActions<FlightSearchState, string>({
	[SET_FLIGHT_SEARCH]: (state, { payload }: FlightSearchAction) => ({ ...state, search: payload }),
	[TOGGLE_FLIGHT_SEARCH]: state => ({ ...state, isActive: !state.isActive }),
	[REMOVE_FLIGHT_SEARCH]: state => ({ ...state, ...initialFlightSearch })
}, initialFlightSearch);
