import { Action } from 'redux';
import { LocationType, FlightTimeInterval } from '../../../enums';
import { createAction, createActions } from 'redux-actions';

export const ADD_TIME_INTERVAL = 'ADD_TIME_INTERVAL';
export const REMOVE_TIME_INTERVAL = 'REMOVE_TIME_INTERVAL';
export const REMOVE_ALL_TIME_INTERVALS = 'REMOVE_ALL_INTERVALS';

export interface FilterTimeAction extends Action {
	payload: {
		timeInterval: FlightTimeInterval;
		locationType: LocationType;
	}
}

export const { addTimeInterval, removeTimeInterval } = createActions({
	[ADD_TIME_INTERVAL]: (timeInterval: FlightTimeInterval, locationType: LocationType) => ({ locationType, timeInterval }),
	[REMOVE_TIME_INTERVAL]: (timeInterval: FlightTimeInterval, locationType: LocationType) => ({ locationType, timeInterval })
});

export const removeAllTimeIntervals = createAction(REMOVE_ALL_TIME_INTERVALS, null);
