import Flight from '../../models/Flight';
import { Action } from 'redux';
import { createActions } from 'redux-actions';

export const ADD_FLIGHTS = 'ADD_FLIGHTS';
export const REMOVE_FLIGHTS = 'REMOVE_FLIGHTS';
export const CLEAR_FLIGHTS = 'CLEAR_FLIGHTS';

export interface FlightsAction extends Action {
	payload: Flight[];
}

export type FlightsActionPayload = (Flight | string)[];

export interface RemoveFlightsAction extends Action {
	payload: string[];
}

export const { addFlights, removeFlights, clearFlights } = createActions({
	[ADD_FLIGHTS]: (flights: Flight[]) => flights,
	[REMOVE_FLIGHTS]: (flightsId: string[]) => flightsId,
	[CLEAR_FLIGHTS]: null
});
