import Flight from '../../models/Flight';
import { Action } from 'redux';
import { createActions } from 'redux-actions';

export const SET_FLIGHTS_BY_LEG = 'SET_FLIGHTS_BY_LEG';
export const ADD_FLIGHT_BY_LEG = 'ADD_FLIGHT_BY_LEG';
export const CLEAR_FLIGHTS_BY_LEGS = 'CLEAR_FLIGHTS_BY_LEGS';

export interface SetFlightsAction extends Action {
	payload: {
		flights: Flight[];
		legId: number;
	};
}

export interface AddFlightAction extends Action {
	payload: {
		flight: Flight;
		legId: number;
	};
}

export const { addFlightByLeg, setFlightsByLeg, clearFlightsByLegs } = createActions({
	[ADD_FLIGHT_BY_LEG]: (flight: Flight, legId: number) => ({ flight, legId }),
	[SET_FLIGHTS_BY_LEG]: (flights: Flight[], legId: number) => ({ flights, legId }),
	[CLEAR_FLIGHTS_BY_LEGS]: null
});
