import {
	ADD_FLIGHT_BY_LEG,
	AddFlightAction,
	CLEAR_FLIGHTS_BY_LEGS,
	SET_FLIGHTS_BY_LEG,
	SetFlightsAction
} from './actions';
import { handleActions } from 'redux-actions';

export interface FlightsByLegsState {
	[legId: number]: string[];
}

export const flightsByLegsReducer = handleActions<FlightsByLegsState>({
	[CLEAR_FLIGHTS_BY_LEGS]: () => ({}),
	[SET_FLIGHTS_BY_LEG]: (state, { payload }: SetFlightsAction) => {
		return {
			...state,
			[payload.legId]: payload.flights.map(flight => flight.id)
		};
	},
	[ADD_FLIGHT_BY_LEG]: (state, { payload }: AddFlightAction) => {
		const { legId, flight } = payload;

		return {
			...state,
			[legId]: [
				...state[legId],
				flight.id
			]
		};
	}
}, {});
