import { ADD_FLIGHTS_RT } from './actions';
import Flight from '../../models/Flight';
import { handleAction } from 'redux-actions';

export interface FlightsRTState {
	[flightUID: string]: Flight;
}

export const flightsRTReducer = handleAction<FlightsRTState, Flight[]>(
	ADD_FLIGHTS_RT,
	(state, { payload }) => {
		const newFlightsPool: FlightsRTState = { ...state };

		payload.forEach(flight => {
			flight.isRT = true;
			newFlightsPool[flight.uid] = flight;
		});

		return newFlightsPool;
}, {});
